Name:    kdegraphics-mobipocket 
Summary: A collection of plugins to handle mobipocket files 
Version: 4.8.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdegraphics/mobipocket
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: okular-devel >= %{version}
BuildRequires: pkgconfig(libstreams)

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
# when split occurred
Conflicts: kdegraphics < 7:4.6.95-10

# pkg renamed
Obsoletes: mobipocket < 4.7.97
Provides:  mobipocket = %{version}-%{release}

%description
%{summary}.


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/okularApplication_mobi.desktop


%files 
%doc COPYING
%{_kde4_libdir}/kde4/mobithumbnail.so
%{_kde4_libdir}/kde4/okularGenerator_mobi.so
%{_kde4_libdir}/strigi/strigila_mobi.so
%{_kde4_datadir}/applications/kde4/okularApplication_mobi.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_mobi.desktop
%{_kde4_datadir}/kde4/services/mobithumbnail.desktop
%{_kde4_datadir}/kde4/services/okularMobi.desktop


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-2
- fix typo Provides: mobipocket
- run desktop-file-validate on app .desktop file

* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97
- pkg renamed to kdegraphics-mobipocket

* Fri Dec 09 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

